Bug 18544 - krlogin incorrectly sets tty settings
krlogin incorrectly sets tty settings
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: krb5 (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Wil Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-06 11:47 EDT by Ben LaHaise
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-10 15:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben LaHaise 2000-10-06 11:47:03 EDT
When using krlogin to connect from a 7.0 box to a 7.0 box (no other mix was
tested), tty sets are improperly transferred for items such as inlcr, tab,
eol and such.  Below is the output of stty -a on the local session and the
krlogin session.

speed 38400 baud; rows 24; columns 132; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = M-^?; eol2 =
M-^?; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R;
werase = ^W; lnext = <undef>; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 hupcl -cstopb cread -clocal -crtscts
-ignbrk brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon
-ixoff -iuclc ixany imaxbel
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0
ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt
echoctl echoke

and via krlogin:

speed 38400 baud; rows 24; columns 132; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>; eol2
= <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R;
werase = ^W; lnext = ^V; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
-ignbrk brkint -ignpar -parmrk -inpck -istrip inlcr -igncr icrnl ixon
-ixoff -iuclc ixany -imaxbel
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab3 bs0 vt0
ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt
echoctl echoke
Comment 1 Nalin Dahyabhai 2001-06-28 09:38:26 EDT
The rlogin protocol (and its Kerberized variants) doesn't include a mechanism
for passing tty modes over the connection to the server.  Attempting to add one
would most likely introduce incompatibilities with other implementations. 
Please reopen this bug ID if you find that there is a specification for how this
is supposed to be done.

Note You need to log in before you can comment on or make changes to this bug.